[Test xpr-008] Lucid upgrade broke when upgrading from manually installed nvidia proprietary drivers

Reported by Fido on 2010-02-15
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
NVIDIA Drivers Ubuntu
Undecided
Unassigned
nvidia-graphics-drivers (Ubuntu)
High
Unassigned
Lucid
High
Unassigned

Bug Description

Binary package hint: xorg

installed a Karmic 32bits and all updates (default install)
manually installed nVidia 190.53 driver
rebooted
upgrade to Lucid using the latest alternate cd (no errors)
rebooted

What happens: PC started in 'low graphics mode' with out loading the proprietary driver
What should happen: PC should have started normally using the proprietary driver

This steps were specified by the Xorg proprietary drivers testing team: http://testcases.qa.ubuntu.com/Hardware/X/ProprietaryDrivers#Upgrade%20From%20Manual%20Install%20Testing

ProblemType: Bug
Architecture: i386
CurrentDmesg:
 [ 27.121890] ppdev: user-space parallel port driver
 [ 37.132018] eth0: no IPv6 routers present
Date: Mon Feb 15 17:55:29 2010
DistroRelease: Ubuntu 10.04
DkmsStatus: Error: [Errno 2] No such file or directory
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
MachineType: MICRO-STAR INTERNATIONAL CO., LTD MS-7142
Package: xorg 1:7.5+1ubuntu2
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-13-generic root=UUID=530a03e3-33c5-4207-856d-fcd0a9a1de7a ro quiet splash
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-13.18-generic
RelatedPackageVersions:
 xserver-xorg 1:7.5+1ubuntu2
 libgl1-mesa-glx 7.7-0ubuntu8
 libdrm2 2.4.17-0ubuntu2
 xserver-xorg-video-intel 2:2.9.1-1ubuntu4
SourcePackage: xorg
Uname: Linux 2.6.32-13-generic i686
dmi.bios.date: 06/27/2006
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: MS-7142
dmi.board.vendor: MICRO-STAR INTERNATIONAL CO., LTD
dmi.board.version: 1.00
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd06/27/2006:svnMICRO-STARINTERNATIONALCO.,LTD:pnMS-7142:pvr1.00:rvnMICRO-STARINTERNATIONALCO.,LTD:rnMS-7142:rvr1.00:cvn:ct3:cvr:
dmi.product.name: MS-7142
dmi.product.version: 1.00
dmi.sys.vendor: MICRO-STAR INTERNATIONAL CO., LTD
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.32-13-generic

Fido (fedevera) wrote :
Bryce Harrington (bryce) on 2010-02-16
affects: xorg (Ubuntu) → nvidia-graphics-drivers-180 (Ubuntu)
Timo Aaltonen (tjaalton) on 2010-02-25
affects: nvidia-graphics-drivers-180 (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
Alberto Milone (albertomilone) wrote :

What do you mean when you say that you "manually installed nVidia 190.53 driver"?

Fido (fedevera) wrote :

As specified in the wiki [1] I downloaded the driver from the nvidia webpage and then install it.
Sorry for the 'installed' instead of 'install' I'm not an english native speaker.

[1] http://testcases.qa.ubuntu.com/Hardware/X/ProprietaryDrivers#Upgrade%20From%20Manual%20Install%20Testing

Ramón Rocha (ramon.rocha) wrote :

Federico, you're English was correct. My interpretation of "Manual Install" for this test scenario was...

1. Go to nvidia's website
2. Download their installation script for Linux graphics drivers
3. Stop X/gdm
4. Run their script

The expected results as defined in the test case did not match the actual results.

Ramón Rocha (ramon.rocha) wrote :

Federico, your* English was correct (apparently better than mine!)

Fido (fedevera) wrote :

Hi there! sorry for the delay, it's exam time here...
Your interpretation was correct, that's precisely what I did. I test it today (again) and the result is the same. I believe that the expected behaviour should be falling back to nouveau instead of using the proprietary driver as I stated in the bug description. But of course that's not for me to decide =P

Bryce Harrington (bryce) on 2010-03-04
summary: - Lucid upgrade broke nvidia proprietary drivers
+ Lucid upgrade broke with manually installed nvidia proprietary drivers
summary: - Lucid upgrade broke with manually installed nvidia proprietary drivers
+ [Test xpr-008] Lucid upgrade broke when upgrading from manually
+ installed nvidia proprietary drivers
Fido (fedevera) wrote :

A new message appear with today's image, stating that the nvidia module couldn't be found, it still says that it was going to run in 'low graphics mode' but this time 'nouveau' kick in, and everything worked fine.

Bryce Harrington (bryce) wrote :

Federico, thanks it sounds like is improved behavior, however still not the specified behavior in the test case, so we should leave this bug report open.

That said, perhaps having the upgrader replace nvidia with -nouveau would be acceptable, in which case the test case should be updated. Refusing to do the upgrade if nvidia has been manually installed is another option I guess. The main thing is we don't want to leave the user's system broken if they've manually installed nvidia, because unfortunately this is not a rare use case.

Changed in nvidia-graphics-drivers (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Marco Craveiro (marco-craveiro) wrote :

Hi guys,

Bit of a me too post: I just did a fresh install of Lucid, used the restricted drivers to install the current nvidia driver but get the same problem as Federico. Some details:

$ lspci | grep -i VGA
01:00.0 VGA compatible controller: nVidia Corporation G71 [GeForce 7300 GS] (rev a1)

Error in X.org log:

(EE) NVIDIA(0): Failed to load the NVIDIA kernel module!
(EE) NVIDIA(0): *** Aborting ***

Error in kern.log:

Mar 21 16:57:01 bohr kernel: [ 12.539312] NVRM: The NVIDIA probe routine was not called for 1 device(s).
Mar 21 16:57:01 bohr kernel: [ 12.539315] NVRM: This can occur when a driver such as rivafb, nvidiafb or
Mar 21 16:57:01 bohr kernel: [ 12.539316] NVRM: rivatv was loaded and obtained ownership of the NVIDIA
Mar 21 16:57:01 bohr kernel: [ 12.539317] NVRM: device(s).
Mar 21 16:57:01 bohr kernel: [ 12.539319] NVRM: Try unloading the rivafb, nvidiafb or rivatv kernel module
Mar 21 16:57:01 bohr kernel: [ 12.539320] NVRM: (and/or reconfigure your kernel without rivafb/nvidiafb
Mar 21 16:57:01 bohr kernel: [ 12.539321] NVRM: support), then try loading the NVIDIA kernel module again.

Modprobbing error:

# modprobe nvidia
FATAL: Error inserting nvidia_173 (/lib/modules/2.6.32-16-generic-pae/updates/dkms/nvidia-173.ko): No such device

# file /lib/modules/2.6.32-16-generic-pae/updates/dkms/nvidia-173.ko
/lib/modules/2.6.32-16-generic-pae/updates/dkms/nvidia-173.ko: ELF 32-bit LSB relocatable, Intel 80386, version 1 (SYSV), not stripped

Many thanks for your time.

Robert Hooker (sarvatt) wrote :

Marco: Why did you install nvidia-173 instead of nvidia-current? Do you have /usr on a seperate partiton? It looks like nouveau isn't getting blacklisted, and if thats the case https://bugs.edge.launchpad.net/ubuntu/+source/nvidia-graphics-drivers/+bug/538071 is your bug.

Federico: That is the intended behavior, you have an xorg.conf speciftying nvidia to be used which is not available for the kernel you are on so it falls back to failsafe. Did you not enable nvidia-current in the restricted drivers manager after you were in failsafe? It should *not* automatically load the proprietary drivers from nvidia.com that you installed in that scenario, those require a manual update every time you update your kernel. I will bring this up with the people making that wiki.

Thanks for the prompt response Robert!

- Once current failed, I tried latest in case the problem was fixed on that version of the driver - apologies for the confusion.
- I do have /usr in a different partition! I'll look at the bug report.

Thanks a lot mate.

Fido (fedevera) wrote :

Robert, thanks for the update!

I thought that that should be the expected behaviour (as I stated in comment #6), nonetheless that was not what originally happened (at first nouveau didn't kick in, and it was necessary to manually modify the xorg.conf file, as you see in comment #7).

It might be good to change the expected result of the test in the Xorg Testing wiki to avoid the confusion, after all we testers only report against that which is written.

Cheers!

julio (buenocotta) wrote :

hello there,..
I don't know if it helps, but I will tell a small history ( my history)..
today, I had try to install the nvidia driver downloaded from nvidia site..it does not work to install, so I installed the package nvidia-current from apt-get..it installs, but when I restart my PC, after login in kdm I was send back to kdm again..so I turn off the kdm ( service kdm stop) and try to install the nvidia driver again ( that one from the nvidia site). It worked!
maybe it can be a workaround..

Niran Babalola (niran) wrote :

The same thing is happening to me on a fresh install of 64-bit Lucid with the proprietary driver enabled via Hardware Drivers. If I manually modprobe nvidia then restart gdm, X loads fine with the proprietary driver.

Daniel Dadap (ddadap) wrote :

Is the nvidia kernel module being rebuilt after the upgrade? It's expected not to work after upgrading the kernel, if it's not rebuilt for the new kernel.

Alberto Milone (albertomilone) wrote :

@All
Before saying that you're experiencing the same problem, please have a look at the following page and look for "Case ID: xpr-008":
http://testcases.qa.ubuntu.com/Hardware/X/ProprietaryDrivers#Upgrade%20From%20Manual%20Install%20Testing

If you didn't follow the steps described there (which are only meant to help us testing dist-upgrades), then you're experiencing a different problem and you might want to file a new bug report.

Thanks

beadrifle (beadrifle) wrote :

See https://bugs.launchpad.net/bugs/562565

I can confirm this error for NVIDIA Drivers (manually installed) 190.53 and 195.36.24 (the latest). I have an NVIDIA GeForce 8600GM 512 MB. I have tried Paul's (https://bugs.launchpad.net/ubuntu/+bug/562565/comments/10) and Ryan Waldroop's methods (https://bugs.launchpad.net/ubuntu/+bug/562565/comments/11) and I can confirm that both have failed to fix the issue.

NVIDIA Driver version 173.14.22 seems to work fine so far.

beadrifle (beadrifle) wrote :

You can update to the latest drivers from Ubuntu's repositories now; the latest version (195) was released in the nvidia-current and nvidia-modaliases packages that came out the day before. Bug 562565 (https://bugs.launchpad.net/bugs/562565) also seems to have been fixed but it has made the boot-up time longer than before and the boot screen is still in low resolution by default.

Yotam Benshalom (benshalom) wrote :

This happened to me too, with geforce 9500m on lucid 64 bit. Oddly it would happpen some of the times. but not all of them. I found a workaround which might work for you too.

The messages in my kern.log say:

May 20 01:29:52 aku kernel: [ 1613.675079] ACPI: PCI Interrupt Link [LPMU] enabled at IRQ 23
May 20 01:29:52 aku kernel: [ 1613.675084] nvidia 0000:00:03.5: PCI INT B -> Link[LPMU] -> GSI 23 (level, low) -> IRQ 23
May 20 01:29:52 aku kernel: [ 1613.675110] nvidia 0000:02:00.0: enabling device (0000 -> 0003)
May 20 01:29:52 aku kernel: [ 1613.675120] nvidia 0000:02:00.0: PCI INT A -> Link[Z00Q] -> GSI 23 (level, low) -> IRQ 23
May 20 01:29:52 aku kernel: [ 1613.675144] vgaarb: device changed decodes: PCI:0000:02:00.0,olddecodes=io+mem,decodes=nonew ns=none
May 20 01:29:52 aku kernel: [ 1613.675422] NVRM: The NVIDIA probe routine was not called for 1 device(s).
May 20 01:29:52 aku kernel: [ 1613.675424] NVRM: This can occur when a driver such as rivafb, nvidiafb or
May 20 01:29:52 aku kernel: [ 1613.675425] NVRM: rivatv was loaded and obtained ownership of the NVIDIA
May 20 01:29:52 aku kernel: [ 1613.675425] NVRM: device(s).
May 20 01:29:52 aku kernel: [ 1613.675427] NVRM: Try unloading the rivafb, nvidiafb or rivatv kernel module
May 20 01:29:52 aku kernel: [ 1613.675428] NVRM: (and/or reconfigure your kernel without rivafb/nvidiafb
May 20 01:29:52 aku kernel: [ 1613.675429] NVRM: support), then try loading the NVIDIA kernel module again.
May 20 01:29:52 aku kernel: [ 1613.675431] NVRM: loading NVIDIA UNIX x86_64 Kernel Module 195.36.15 Fri Mar 12 00:29:13 PST 2010
May 20 01:30:12 aku kernel: Kernel logging (proc) stopped.

I think the problem is that for the sake of plymouth, ubuntu loads the vga16fb module before it loads the nvidia module. I solved it using the following workaround, which regrettably diables plymouth for nvidia folks:

sudo gedit /etc/modprobe.d/blacklist.conf

add the following lines to the end of the file:

#Block modules messing with nvidia
blacklist vga16fb
blacklist nouveau
blacklist rivafb
blacklist nvidiafb
blacklist rivatv

Yotam Benshalom (benshalom) wrote :

I forgot to add - my problem was with a clean install using the "hardware drivers" from administration menu.

Matt Bunch (mb3pcs-home) wrote :

I'm using nVidia-96 drivers and they broke too

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers